Skip to content
Developer

ChatroomMessageReport

Chat and notifications3 EndpointsChat / ChatroomMessageReport

Reported chat messages

GET/api/chat/chatroom_message_report

Newest first, at most 200. Query status (open, resolved, dismissed) filters; without it all.

Query parameters

statusstringopen, resolved or dismissed

Responses

200List of reports with message, room and reporter

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_report \
  --header 'x-iw-jwt-token: <TOKEN>'

Handle a report

PUT/api/chat/chatroom_message_report/{identifier}

Body: status (resolved or dismissed), hideMessage (optional, hides the reported message for the members).

Path parameters

identifierrequiredstring

Request body application/json

  • statusstring
  • hideMessageboolean

Responses

200The report

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_report/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "status": "string",
  "hideMessage": true
}
'

Handle a report

PATCH/api/chat/chatroom_message_report/{identifier}

Body: status (resolved or dismissed), hideMessage (optional, hides the reported message for the members).

Path parameters

identifierrequiredstring

Request body application/json

  • statusstring
  • hideMessageboolean

Responses

200The report

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_report/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "status": "string",
  "hideMessage": true
}
'